Subject: Re: [RFC] Patch to option HSO driver to the kernel

From: Paulius Zaleckas <[email-masked]>
Date: Mon, 21 Apr 2008 16:00:18 +0300

Oliver Neukum wrote:
> Am Montag, 21. April 2008 14:38:48 schrieb Paulius Zaleckas:
>> Oliver Neukum wrote:
>>> Am Freitag, 18. April 2008 17:18:29 schrieb Paulius Zaleckas:
>>>> Oliver Neukum wrote:
>>>>> Hi,
>>>>>
>>>>> can you test this one as well. The method used to determine whether
>>>>> a device is asleep is racy. This introduces a private test.
>>>>>
>>>>> 	Regards
>>>>> 		Oliver
>>>> By setting level "auto" it didn't suspend...
>>>> When I tried to set "suspend" to the level I got crash:
>>> Does this fix it?
>> Looks like it fixed this crash.
>> I don't see anything on dmesg and /var/log/messages when I do
>> echo "suspend" > power/level, but that is IMO another story.
> 
> Did you compile with CONFIG_USB_DEBUG? Do you load usbcore
> from initrd? In that case you need to rebuild your initrd.

Actually I am using 2.6.24.4-64.fc8debug kernel.
I failed to start my 2.6.25 compiled kernel, because of some mkinitrd
incompatibilities with LVM (I hate that day when I installed Fedora on
LVM partition :))
According to fedora config CONFIG_USB_DEBUG is enabled. Couldn't find
usbcore on initrd image...

Paulius

--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html